## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiConfluenceLinkStartToken

### Document::ezcDocumentWikiConfluenceLinkStartToken

### Class ezcDocumentWikiConfluenceLinkStartToken

Struct for Wiki document link start marker tokens.

Source for this file: /Document/src/document/wiki/token/confluence_link_start.php

    ezcBaseStruct
       |
       --ezcDocumentWikiToken
          |
          --ezcDocumentWikiInlineMarkupToken
             |
             --ezcDocumentWikiLinkStartToken
                |
                --ezcDocumentWikiConfluenceLinkStartToken

Version: | //autogen//

### Inherited Member Variables

From ezcDocumentWikiToken
public | `ezcDocumentWikiToken::$content`
public | `ezcDocumentWikiToken::$line`
public | `ezcDocumentWikiToken::$position`

### Method Summary

public array | `getLinkParameterOrder( $count )` Get link parameter order.

### Inherited Methods

From ezcDocumentWikiLinkStartToken
public array | `ezcDocumentWikiLinkStartToken::getLinkParameterOrder()` Get link parameter order

### Methods

#### getLinkParameterOrder

array getLinkParameterOrder( int $count )

Get link parameter order.

Links may have any amount of parameters and the order may not be the same for each amount. This method should return an ordered list of parameter names for the given amount of parameters.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$count` | int |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentWikiLinkStartToken::getLinkParameterOrder()` | Get link parameter order

Documentation generated by phpDocumentor 1.4.3